Name:           perl-Net-Ident
Version:        1.24
Release:        1%{?dist}
Summary:        Lookup the username on the remote end of a TCP/IP connection
License:        Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Ident/
Source0:        http://www.cpan.org/authors/id/T/TO/TODDR/Net-Ident-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Socket)
BuildRequires:  perl(Test::More)
Requires:       perl(Carp)
Requires:       perl(Config)
Requires:       perl(Exporter)
Requires:       perl(Socket)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
You can either use the simple interface, which does one ident lookup at a
time, or use the asynchronous interface to perform (possibly) many
simultaneous lookups, or simply continue serving other things while the
lookup is proceeding.

%prep
%setup -q -n Net-Ident-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Mar 17 2016 Daniel Berteaud <daniel@firewall-services.com> 1.24-1
- First build using cpanspec [SME: 9323]
